#!/usr/bin/env python3
# coding: utf-8

import csv
import matplotlib.pyplot as plt
import numpy as np
import netCDF4 as nc
import pandas as pd



###########################################
######## plot ###########################
tkw = dict(size=3, width=1.5, labelsize=17,  )
font_dict = {'family':'serif','size':16,'rotation':10}
################
fig, axs = plt.subplots(1,1, figsize=(12,5))
fig.subplots_adjust(left=0.08, right=0.9, top=0.95, bottom=0.13)

y1 = 150
y2 = 0

tsteps = [118, 179, 170] # 100m


titles = ['Tran_Glac1d', 'Tran_Paleomist','Tran_PISMindex',]
titles2 = ['Glac1D', 'Paleomist','PISM-index',]

color1 = ['red','blue','black','blue']

fin2 = 'timeseries-tran20.nc'


for i in range(0,len(titles2)):
    with nc.Dataset(fin2) as ff:
        slena = ff.variables[titles2[i]][:]
        years = ff.variables['years_'+titles2[i]][:]
        years = (years - 38000)/-1000.


    axs.text(years[0], slena[0]+5, titles[i], color=color1[i], fontdict=font_dict)
    axs.plot(years, slena, color=color1[i], ls='-', linewidth=2.5)
    axs.scatter(years[tsteps[i]], slena[tsteps[i]],marker='*',color='orange',s=120)



axs.set_ylim(y1, y2)
axs.tick_params(axis='y', **tkw)
axs.set_ylabel("NA Ice volume (m SLE)", fontsize=20, )

axs.set_xlim(0, 70)
axs.tick_params(axis='x', **tkw)
axs.set_xlabel("Time (ka)", fontsize=20)


plt.savefig('Figure1h.pdf')
#plt.show()
